Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.alerts
Interface AlertManager

All Known Implementing Classes:
  AlertManagerImpl

    public interface AlertManager

Manages `Alert`s (using the `AlertStorage` SSO. The behavior of the service switches during an Ajax request to directly add JavaScript to present the alerts.

Since:
  5.3

Method Summary
`void` | `alert(Duration duration, Severity severity, java.lang.String message)` Adds an alert with configurable severity and duration.
`void` | `error(java.lang.String message)` Adds an `Severity.ERROR` alert with the default duration, `Duration.SINGLE`.
`void` | `info(java.lang.String message)` Adds an `Severity.INFO` alert with the default duration, `Duration.SINGLE`.
`void` | `success(java.lang.String message)` Adds an `Severity.SUCCESS` alert with the default duration, `Duration.SINGLE`.
`void` | `warn(java.lang.String message)` Adds an `Severity.WARN` alert with the default duration, `Duration.SINGLE`.

Method Detail

### success

    void success(java.lang.String message)

  Adds an `Severity.SUCCESS` alert with the default duration, `Duration.SINGLE`.

  Parameters:
    `message` - to present to the user
  Since:
    5.3.6

### info

    void info(java.lang.String message)

  Adds an `Severity.INFO` alert with the default duration, `Duration.SINGLE`.

  Parameters:
    `message` - to present to the user

### warn

    void warn(java.lang.String message)

  Adds an `Severity.WARN` alert with the default duration, `Duration.SINGLE`.

  Parameters:
    `message` - to present to the user

### error

    void error(java.lang.String message)

  Adds an `Severity.ERROR` alert with the default duration, `Duration.SINGLE`.

  Parameters:
    `message` - to present to the user

### alert

    void alert(Duration duration,
               Severity severity,
               java.lang.String message)

  Adds an alert with configurable severity and duration.

  Parameters:
    `duration` - controls how long the alert is presented to the user
    `severity` - controls how the alert is presented to the user
    `message` - to present to the user

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.